# Class KeyStoreBuilderParameters

java.lang.Object
javax.net.ssl.KeyStoreBuilderParameters

All Implemented Interfaces:
  `ManagerFactoryParameters`

public class KeyStoreBuilderParameters extends Object implements ManagerFactoryParameters
A parameters object for X509KeyManagers that encapsulates a List of KeyStore.Builders.

Since:
  1.5
See Also:
  - `KeyStore.Builder`
  - `X509KeyManager`

## Constructor Summary

Constructors
Constructor
Description
`KeyStoreBuilderParameters(KeyStore.Builder builder)`
Construct new KeyStoreBuilderParameters from the specified KeyStore.Builder.
`KeyStoreBuilderParameters(List<KeyStore.Builder> parameters)`
Construct new KeyStoreBuilderParameters from a List of KeyStore.Builders.

## Method Summary

Modifier and Type
Method
Description
`List<KeyStore.Builder>`
`getParameters()`
Return the unmodifiable List of the KeyStore.Builders encapsulated by this object.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### KeyStoreBuilderParameters

public KeyStoreBuilderParameters(KeyStore.Builder builder)
Construct new KeyStoreBuilderParameters from the specified KeyStore.Builder.

Parameters:
  `builder` - the Builder object
Throws:
  `NullPointerException` - if builder is null

### KeyStoreBuilderParameters

public KeyStoreBuilderParameters(List<KeyStore.Builder> parameters)
Construct new KeyStoreBuilderParameters from a List of KeyStore.Builders. Note that the list is cloned to protect against subsequent modification.

Parameters:
  `parameters` - the List of Builder objects
Throws:
  `NullPointerException` - if parameters is null
  `IllegalArgumentException` - if parameters is an empty list

## Method Details

### getParameters

public List<KeyStore.Builder> getParameters()
Return the unmodifiable List of the KeyStore.Builders encapsulated by this object.

Returns:
  the unmodifiable List of the KeyStore.Builders encapsulated by this object.